PERROR(3PVM)

NAME
pvm_perror - Prints message describing the last error returned by a PVM call.

SYNOPSIS
C	int info = pvm_perror( char *msg )
Fortran	call pvmfperror( msg, info )

PARAMETERS

msg Character string supplied by the user which will be prepended to the error message of the last PVM call.

info
    Integer status code returned by the routine. Values less than zero indicate an error.

DESCRIPTION
The routine pvm_perror returns the error message of the last PVM call. The user can use msg to add additional information to the error message, for example, its location.

Unless redirected, all stdout and stderr messages are placed in the file /tmp/pvml.<uid> on the master host.

EXAMPLES
C:
	if ( pvm_send( tid, msgtag ) )
		pvm_perror();

Fortran:
	CALL PVMFSEND( TID, MSGTAG )
	IF( INFO .LT. 0 ) CALL PVMFPERROR( 'Step 6', INFO )

ERRORS
No error condition is returned by pvm_perror.